Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class EPPXMLErrorHandler

    java.lang.Object
      com.verisign.epp.util.EPPXMLErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class EPPXMLErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler

This is a helper class provided to intercept Errors occurred internal to SAX / Dom Parser. When an Error / fatal Error or a warning occurs this methods are invoked. $Id: EPPXMLErrorHandler.java,v 1.1.1.1 2003/12/05 17:36:18 jim Exp $

Since:
  JDK1.0
Version:
  $Id: EPPXMLErrorHandler.java,v 1.2 2004/01/26 21:21:07 jim Exp $
Author:
  P. Amiri

Constructor Summary
`EPPXMLErrorHandler()`

Method Summary
`void` | `error(org.xml.sax.SAXParseException newException)` Receive notification of a recoverable error.
`void` | `fatalError(org.xml.sax.SAXParseException newException)` Receive notification of a non-recoverable error.
`void` | `warning(org.xml.sax.SAXParseException newException)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPXMLErrorHandler

    public EPPXMLErrorHandler()

Method Detail

### error

    public void error(org.xml.sax.SAXParseException newException)
               throws org.xml.sax.SAXException

  Receive notification of a recoverable error. This method will first log the message and later it will throw the SAXEception.

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `newException` - which is a SAXParseException
  Throws:
    `org.xml.sax.SAXException` - According to the W3C Recommendation this is called if there is a violation in the rules of the specifiaction. ie the document was not valid

### fatalError

    public void fatalError(org.xml.sax.SAXParseException newException)
                    throws org.xml.sax.SAXException

  Receive notification of a non-recoverable error. This method will first log the message and later it will throw the SAXEception.

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `newException` - which is a SAXParseException
  Throws:
    `org.xml.sax.SAXException` - This is called if the document wasn't well formed.

### warning

    public void warning(org.xml.sax.SAXParseException newException)
                 throws org.xml.sax.SAXException

  Receive notification of a warning. This method will first log the message and later it will throw the SAXEception.

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `newException` - which is a SAXParseException
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.